#!/bin/bash

# Create the Kubernetes resources.
kubectl create -f definitions/namespace_definition.yaml

kubectl create -f definitions/account_definitions.yaml

# Start the cluster.
cd cluster

helm template chart --namespace cluster --name cluster -f ../definitions/cluster_definition.yaml -f ssh-key.yaml | kubectl -n cluster create -f -

# Start watch to view cluster resource creation.
watch -n 0.5 kubectl -n cluster get pods -o wide
